Class | PhusionPassenger::Rails3Extensions::AnalyticsLogging::ExceptionLogger
In: | lib/phusion_passenger/rails3_extensions/init.rb
Parent: | Object

### Methods

call new

### Public Class methods

new(app, analytics_logger)

[Source]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 116
    116:                 def initialize(app, analytics_logger)
    117:                         @app = app
    118:                         @analytics_logger = analytics_logger
    119:                 end

### Public Instance methods

call(env)

[Source]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 121
    121:                 def call(env)
    122:                         @app.call(env)
    123:                 rescue Exception => e
    124:                         log_analytics_exception(env, e) if env[PASSENGER_TXN_ID]
    125:                         raise e
    126:                 end

[Validate]